line_s Struct Reference
Implementation internals » Hardware DB (HDDB)

## Data Fields

prefix_t | prefix
hddb_entry_t | key
char * | value
char * | raw

## Field Documentation

## key

hddb_entry_t line_s::key

Referenced by hddb_init_external(), and parse_line().

## prefix

prefix_t line_s::prefix

Referenced by hddb_init_external(), and parse_line().

## raw

char* line_s::raw

Referenced by parse_line().

## value

char* line_s::value

Referenced by hddb_init_external(), and parse_line().

The documentation for this struct was generated from the following file:

- hddb.c